create table sidtb00_sa_inventory (
    sa_contact_date date        not null,
    sa_gesacid      integer     not null,
    sa_machine      macaddr     not null,
    sa_hd_model     varchar(70) not null, -- Longest HD model has 47 characters
    sa_hd_size      integer     not null,
    sa_hd_used      integer     not null,
    sa_hd2_model    varchar(70),
    sa_hd2_size     integer,
    sa_hd2_used     integer,
    sa_extra_hds    integer     default 0 not null,
    sa_memory_size  integer     not null,
    sa_processor    varchar(70) not null, -- Longest processor model has 46 chars
    sa_os_type      varchar(7)  not null, -- 'Linux' or 'Windows'
    sa_os_distro    varchar(50) not null, -- Longest OS distro has 35 characters
    sa_kernel       varchar(40) not null, -- Longest kernel version has 24 chars
    sa_versao       varchar(10) default '0.0.0' not null
);

create table sidtb01_sa_net_usage (
    sa_gesacid       integer     not null,
    sa_machine       macaddr     not null,
    sa_collect_time  timestamp   not null,
    sa_down_packages integer     not null,
    sa_down_bytes    bigint      not null,
    sa_up_packages   integer     not null,
    sa_up_bytes      bigint      not null
);
