module.exports = function (grunt) {
    grunt.initConfig({
        less: {
            development: {
                files: [{
                    expand: true,
                    cwd: 'assets/less',
                    src: ['main.less'],
                    dest: 'app/css',
                    ext: '.css',
                }]
            }
        },
        watch: {
            files: ['assets/less/**/*.less'],
            tasks: ['less']
        }
    });

    grunt.loadNpmTasks('grunt-contrib-less');
    grunt.loadNpmTasks('grunt-contrib-watch');
};
